Search documentation of wx

# View Source wxDateEvent (wx v2.4.3.1)

This event class holds information about a date change and is used together with `wxDatePickerCtrl`.

It also serves as a base class for `wxCalendarEvent`.

This class is derived, and can use functions, from:

- `wxCommandEvent`

- `wxEvent`

wxWidgets docs: wxDateEvent

# Summary

## Types

wxDate()
wxDateEvent()
wxDateEventType()

## Functions

getDate(This)

Returns the date.

# Types

# wxDate()

    -type wxDate() :: #wxDate{type :: wxDateEvent:wxDateEventType(), date :: wx:wx_datetime()}.

# wxDateEvent()

    -type wxDateEvent() :: wx:wx_object().

# wxDateEventType()

    -type wxDateEventType() :: date_changed.

# Functions

# getDate(This)

    -spec getDate(This) -> wx:wx_datetime() when This :: wxDateEvent().

Returns the date.